/*#include <stdio.h>

int main ()
{
    printf("Hello World!\n");
    return 0;
}*/

#include <gtk/gtk.h>

#include "hildon-window.h"

static void
activate (GtkApplication* app,
          gpointer        user_data)
{
  GtkWidget *window;

  window = hildon_window_new ();
  gtk_application_add_window (app, GTK_WINDOW (window));
  gtk_window_set_title (GTK_WINDOW (window), "Window");
  gtk_window_set_default_size (GTK_WINDOW (window), 800, 480);
  
  gtk_widget_show_all (window);
}

int
main (int    argc,
      char **argv)
{
  GtkApplication *app;
  int status;

  app = gtk_application_new ("org.gtk.example", G_APPLICATION_FLAGS_NONE);
  g_signal_connect (app, "activate", G_CALLBACK (activate), NULL);
  status = g_application_run (G_APPLICATION (app), argc, argv);
  g_object_unref (app);

  return status;
}
