#ifndef                                         __HILDON_WINDOW_H__
#define                                         __HILDON_WINDOW_H__

#include                                        <gtk/gtk.h>


G_BEGIN_DECLS

#define HILDON_TYPE_WINDOW                  (hildon_window_get_type ())
#define HILDON_WINDOW(obj)                  (G_TYPE_CHECK_INSTANCE_CAST ((obj), HILDON_TYPE_WINDOW, HildonWindow))
#define HILDON_WINDOW_CLASS(klass)          (G_TYPE_CHECK_CLASS_CAST ((klass), HILDON_TYPE_WINDOW, HildonWindowClass))
#define HILDON_IS_WINDOW(obj)               (G_TYPE_CHECK_INSTANCE_TYPE ((obj), HILDON_TYPE_WINDOW))
#define HILDON_IS_WINDOW_CLASS(klass)       (G_TYPE_CHECK_CLASS_TYPE ((klass), HILDON_TYPE_WINDOW))
#define HILDON_WINDOW_GET_CLASS(obj)        (G_TYPE_INSTANCE_GET_CLASS ((obj), HILDON_TYPE_WINDOW, HildonWindowClass))


typedef struct _HildonWindow      HildonWindow;
typedef struct _HildonWindowClass HildonWindowClass;


struct _HildonWindow
{
  GtkWindow parent;
};

struct _HildonWindowClass
{
  GtkWindowClass parent_class;

  /* Padding for future expansion */
  void (*_gtk_reserved1) (void);
  void (*_gtk_reserved2) (void);
  void (*_gtk_reserved3) (void);
  void (*_gtk_reserved4) (void);
};


GType hildon_window_get_type (void) G_GNUC_CONST;
GtkWidget* hildon_window_new (void);

G_END_DECLS

#endif                                          /* __HILDON_WINDOW_H__ */
